# Interface Tool

All Known Subinterfaces:
  `PreprocessingTool`

@Incubating public interface Tool
Configuration of the arguments of a ToolChain executable.

## Method Summary

Modifier and Type
Method
Description
`void`
`args(String... args)`
Adds a number of arguments to be passed to the tool.
`List<String>`
`getArgs()`
The arguments passed when executing this tool.

## Method Details

### getArgs

List<String> getArgs()
The arguments passed when executing this tool.

### args

void args(String... args)
Adds a number of arguments to be passed to the tool.